CHANGELOG for Views 3 for Drupal 6
Views 6.x-3.0-dev
    o #765760 by crea: New setting for raw node type had wrong default.
    o #682888 by jcmarco: With zen, the new $classes array could fail for row styles.
    o #765340 by dereine: <front> token accidentally removed by html entity stripping from URLs.
    o #765352: Fix for postgress versions prior to 8.3 which caused data loss in update.php. Note: This will not repair lost data. If you experienced this you must restore your views_display table from backup.
    o #766046: Live preview broken right after adding new display.
    o #740130: #561892 not applied correctly, caused the 'rewrite' checkbox to be ignored and rewrite always used.
    o #765310 by dagmar: area handlers unable to be added.
    o #765296: field IDs could get out of sync, causing render path to try to render a field that did not exist leading to whitescreens.
    o #769528: Rename tests/views_query.inc to tests/views_query.test
    o #774366 by Dave Reid: getInfo() in tests needs to be public static functions
    o #770006 by macdee: Taxonomy term default plugin mysteriously broken.
    o #767146 by bangpound: Validation not passed down into row style plugin.
    o #513396 by yhager and jcisio: Views trim was not multibyte safe.
    o #550420 by blauerberg: Views RSS did not properly pass readmore flag from node to RSS item.
    o #781296 by dereine: Node: Type "link to its node" option broken.
    o #754294 by dagmar: Fix warnings on taxonomy term filter.
    o #698270 by dagmar: Pager plugin re-org (again).
    o #769010 by andrea.gariboldi: Overuse of query substitutions fails on some databases.
    o #807506 by damZ: Improve the usefulness of ViewsSqlTest.
    o #607418: Fix queries broken with "ambiguous nid" due to uncommon relationships.
    o #768162: Revert inadvertant change to grid style behavior.
    o #815392 by killes and dereine: Incorrect construction of $account caused accidental non-permanent change to $user->roles.
    o #723454 by dereine: Upgrade from 5.0 could cause blocks for views with long names to lose configuration.
    o SA-CONTRIB-2010-067: Fix CSRF and XSS vulnerabilities.
    o #841260: Introduce a field to evaluate math expressions. Relies on CTools 1.7 (not yet released).
    o by dereine:  allow test cases to add a example plugin.
    o #727894 by stella: Give stronger classes on exposed widgets for easier theming.
    o #768060 by EmanueleQuinto: Better empty field replacement that continues to respect other rewriting rules.
    o #464490 by dereine: Allow links to specify that they are absolute.
    o #780898 by ericduran: New display IDs not used until view is saved.
    o #317653 by Steven Jones: Allow singular/plural formatting in numeric fields.
    o #781050 by lewisvance: Performance improvement in unpack_options().
    o #734706 by joachim: Use proper access control to prevent unregistered users from seeing links to inaccessible contact pages.
    o #827188 by dereine: Comment ID field should be numeric, not the generic field handler.
    o #827780 by dereine: Fix RSS feed live preview not getting proper PRE tags.
    o #397252 by thekevinday: Allow "glossary" type views to do case insensitive searches.
    o #780362 by ericduran: Validate display id when changed.
    o #594402 by joachim: Clarify text on "Moderation" field.
    o #839214 by AlexisWilke: Improve encoding on help text snippets.
    o #792582 by ducktape: Validate that view names are not purely numeric, which cannot be loaded by views_get_view().
    o #846054 by celeritas: Exposed form "Reset" button failed to reset if the name was changed in form options.
    o #848506 by dereine: Add aggregator item ID as an aggregator field.
    o #798764 by setvik: Fix broken AJAX in some IE circumstances due to odd IE behavior.
    o #827300 by dereine: Fix authenticated users showing up as "No role" in role summary view.
    o #857264 by dereine: Remove unneeded "clone" and "export" hover links.
    o #611728 by incrn8: Respect db_rewrite_sql when choosing taxonomy terms for taxonomy filter.
    o #746846 by lavamind: url encoding on options could cause visual problems in jump menu.
    o #859368 by dereine: Click sort using wrong add_orderby() line caused some click sorts to fail.
    o #852854 by bojanz: Grammar fix on taxonomy default argument help text.
    o #526106 by Blackice2999: Fix occasional off-by-one-day problem with date arguments.
    o #843866 by dagmar: Allow summary views to specify their path rather than assuming the view path all the time.
    o #785960 by dereine: Reset button should appear after Apply button, not before.
    o #863666 by dereine: Revert button redirects to wrong place after view is reverted.
    o #666870 by dereine and dww: Exposed sorts do not default properly.
    o #703980 by jmiccolis: Custom date needs to better support "r".
    o #743682 by nicedawg: Prevent exposed filter in a block from showing up twice on validation error.
    o #768972 by dereine, cyberwolf and nicedawg: Add an option to disable an error message if terms do not exist on taxonomy term filter.
    o #692988 by joachim: Eliminate an unnecessary query in taxonomy filter.
    o #812608 by drunken monkey: Views outputs unquoted version in exports.
    o #402944 by drewish: Cache views block list to reduce overhead when listing blocks.
    o #348975 by dereine: Allow cloning of displays.
    o #792184 by mgriego: Remove unnecessary special handling of option defaulting which actually causes problems in the new world order.
    o #621142 by dereine and Scott Reynolds: Allow the query plugin to have its own settings.
    o #910942 by dereine: Fixes views_test.info by specifying core = 6.x
    o #939296 by chrisns: Include base test in viewsHandlerTest.test.
    o #711860 by dereine: 00 entered in pager total fails.
    o #889770 by tim.plunkett: Empty fields not always hidden based on row settings.
    o #894618 by gilgabarr: Date "is between" filter not properly handled.
    o #762484 by master-of-magic: Link to node status could be lost between rows.
    o #908272 by jaydub: Fix incorrect length of view description form field.
    o #772782 by mstrelan: Menu normal item menu should default to system default menu rather than  "navigation".
    o #917916 by MyXelf: break delimiter not removed from formatted output.
    o #571234 by dereine: Better handling of invalid exposed filters or other methods that cause a view to abort during the build process.
    o #685554 by MyXelf: Illegal characters in View tag translated improperly when used in theming templates.
    o #508832 by nick_vh: Documentation improvement on templates.
    o #748222 by dereine: Fix notice with area handlers.
    o #887220 by dereine: Fix fatal error when using GROUP BY.
    o #807540 by gfrenoy: Proper use of db_decode_blob() on serialized fields.
    o #930714 by brad.bulger: Add aggregator GUID field.
    o #918654 by Will White: numeric GROUP BY fields missing numeric format options.
    o #936828 by xjm: Empty field replacement not quite always working.
    o #872000 by NaX: Comment edit field needs option to set destination so it can work like comment edit field.
    o #799580 by dereine: api version of views exports should use views_api_version() not hardcoded number.
    o #718832 by dereine: Add file extension as a field available within the File group.
    o #694094 by Ian Ward: Allow more static caches to be resettable.
    o #884440 by Amitaibu: Improve token encoding to eliminate double html entity encoding.
    o #847930 by dereine: Reduce duplicates option not staying set.
    o #882800 by dereine: Move "Distinct" option to query settings.
    o #870828 by dereine: Typo in ajax form wrapper.
    o #865482 by dereine: RSS options form does not include override.
    o #785236 by e_log: Add aggregator field item id as a field.
    o #366886 by Scott Reynolds: For "last comment time" if "count zero is empty" is set, use empty text for nodes with no comments.
    o #611086 by dereine: add -url token to files that can fetch proper URLs with private filesystems.
    o #635336 by dereine: Remove unused fields from views.
    o #813422 by dereine and killes: Improved time-based caching expiration.
    o #795270 by dereine: Remove unnecessary links to sections that will have no settings.
    o #807540 Revert: Proper use of db_decode_blob() on serialized fields.
    o #829550 by hefox: Better testing of batch form use by exposed filters.
    o #570618 by dereine: Enforce denying access to disabled views more strongly.
    o #667014 by dereine: Prevent notice with relationships and node row style if relationship has no endpoint node.
    o #514128 by dylanvaughn: Use of for (i in foo) for arrays in javascript fails if other software is modifying the Array prototype.
    o #755342 by jcmarco: Improve SQL date field handling.
    o #338893 by dereine: Aggregator argument not always properly converted to title.
    o #835934 by dereine: Provide relationship from files to users.
    o #738172 by dereine: Fields rewritten to be links with just a fragment did not work.
    o #514128 reverted.
    o #787184 introduce the long awaited "Update and Override" button.
    o by dereine: Test for views_handler_filter_date.
    o #761102 by dereine: test: user default argument.
    o #963382 by aidanlis: Fix typo in mathematical expression field help text.
    o #807614 by dereine: Test filter_numeric.
    o by eporama: Add a test for views_plugin_argument_validate_user.
    o #968830 by q0rban: Abstract direct db function calls in query plugins to facilitate plugins that just swap out the actual db interaction.
    o #713078 by achaux: Aggregator not properly using allowed tags from core.
    o #428196 by dereine, funkmasterjones and tic2000: Allow specification of default sort order (asc or desc) per field in table style.
    o #944680 by rvilar: Properly t() untranslated string.
    o #881680 by brianV and longwave: Avoid unnecessary invoking of view objects for argument validation when no argument validation is necessary.
    o #767244 by Magnus: Fix some untranslatable strings due to less than and greater than characters.
    o #855280 by dereine: Exposed forms set "Input required" lose exposed sorts.
    o #881060 by benoit.borrel: Fix incorrect code sample on views_join documentation.
    o #935388 by infojunkie: Add post_build and post_execute hooks similar to post_render.
    o #938806 by jenlampton: Node: title field should link to node by default.
    o #956654 by mdupont: Translation for "offset" field in dates needed work.
    o #931390 by dww: Optimize boolean logic by using "= 1" rather than "<> 0" for faster queries.
    o #567918 by iamjon: Improve documentation for token replacement.
    o #881468 by longwave: Improve performance by static caching results of argument validation because menu likes to double validate things.
    o #964266 by dereine: cache_expire() missing $type.
    o #669636 by dereine and bojanz: Convert the rest of the field handlers that have link options to use the advanced render.
    o #477984 by demeritcowboy, fatstar415, mike dodd, dagmar: Properly handle value for "empty" and "not empty" special operators.
    o #910864 by Bevan, dereine: exposed filter blocks should not be cached by core block caching.
    o #970198 by kbk: Improve bulk export docs for handling PHP files.
    o #741234 by voxpelli: Arguments should check for NULL along with empty string to find empty values.
    o #768060 by EmmanueleQuinto, xjm, others: Make sure that render alter options do not accidentally get blown up for empty fields.
    o #847724 by dereine: Allow jump menu "Summary" style to customize choose text, just like the regular summary style.
    o #627378: Allow specifying that your module provides specialized views templates via hook_views_api.
    o #871578 by dereine: Comment "new" might not work right without a comment count field.
    o #751970 by dereine: View list form auto submit on change.
    o #494380 by vaish: Problems with ajax and the same view displayed multiple times.
    o #776830: Fix pager settings on attachments and feeds.
    o #773036: Remove extraneous code from bad patch.
    o #835544 by iamjon: export broke if key contained an apostrophe.
    o #941990 by master-of-magic: Link to node when using relationships could occasionally lose track and create bad links.
    o #833790: Click sort could break on fields that were actually formulas.
    o #965496 by ayalon: Update and Override broke validation of most views admin forms.
    o #626732 by dereine: Added a test for analyze.
    o #870792 by bojanz, dereine: Test validation features of filter and filter_date handler.
    o #868990: Fix undefined call to $view->set_use_pager()
    o #976200 by Bevan: [Edit View] links not always clickable.
    o #669636 followup by bojanz: Fix improper use of field_alias by row styles.
    o #979046 by travist: Fix PHP 5.3 problem in views_access with no arguments.
    o #978864 by linclark: Fix title bug with area handlers.
    o #983460 by dereine: "Default sort" radio is in wrong column on table style settings.
    o #783798 by dereine: GROUP BY can cause sort criteria to get incorrectly added to view.
    o #983606 by jonathan1055: Breadcrumb disappears on bulk export results.
    o #357529 by nedjo, dddave, dagmar, dereine, yhahn, others: Implement plugin to handle translations of views configuration data.
    o #740686 by dereine, dagmar: Integrate the functionality of Semantic Views (though it takes a significantly diffrent form).
    o #769458 by anrikun: Fix double encoding of alt/title text on link rewriting.
    o #318944 by dereine: Prevent warning in table view when user has no permission to view any fields.
    o #416178 by dereine: Profile field checkboxes did not properly filter false values.
    o #989092 by dereine: Semantic views integration broke grid view a little.
    o #868972 by dereine: Add a "summary" attribute for accessibility on table and grid styles.
    o #768802 by dereine: Allow sort by node language.
    o #738792 by dereine: Delete button should be disabled when ajax form is open, just like save button.
    o #600742 by dagmar: Allow displays to be disabled.
    o #898990 by dereine: Fix bad SQL generated on related terms relationship if no vocabularies selected.
    o #468484 by dereine: Filter by unread not relationship safe.
    o #833790 redux by dereine: Make sure field actually exists.
    o #783514 by dereine: Allow breaking of strings with + and ,
    o #607942 by dashton: Support "rel" attribute in link rewriting.
    o #909886: -Any- option shows up on boolean exposed filters even when not optional.
    o #909332 by dereine: Add col-first and col-last classes to grid style.
    o #751308 by dereine: Provide an administrator warning when option_definition() data is incorrect.
    o #522318 by dereine: Provide a "human readable" name for all Views.
    o #817360 by John Morahan: Have Analyze button warn if view has no access control.
    o #833220 by dereine: Properly validate value on date filter.
    o #910256 by dagmar: Add an - All - option to exposed items per page.
    o #779668 by esteewhy: Fix not technically valid use of break statements.
    o #751308: Revert: Provide an administrator warning when option_definition() data is incorrect.
    o by dereine: Fix fatal error in the field term_node_tid handler.
    o #995032 by dereine: Fix update_N function by adding a return $ret.
    o #995966 by dereine: Use voc_ids are variable.
    o #994014 by idflood: Add missing semicolon to node translation link handler.
    o #996634 by das-peter: Add missing rel to option_definition of the field handler.
    o #808016 by dereine: Clarify short/medium/long date formats.
    o #610418 by joachim: Add handler descriptions to handler edit forms.
    o #368687 by dereine: Allow a relationship from node revision to master node.
    o #759082 by dereine: Prevent invalid argument warning with no relationships.
    o #946368 by dereine: User argument default ignoring node author checkbox in some cases.
    o #867636 by chromix: Give jump menu an option to set default value to current path.
    o #785036 by dereine and bojanz: Properly validate display IDs.
    o #829928 by gordon: Allow strip tags to get a list of tags to keep.
    o #958312 by tim.plunkett: Exports could have extraneous whitespace when exported from other modules like features.
    o #927270 by Cyberwolf: Allow the "options callback" for the in_operator filter handler to also have an "options argument" in the definition.
    o #608926 by Longwave: Remove unused theme("nodate") functionality.
    o #497936: Profile fields with dashes in their names cause bad queries.
    o #972620 by dereine: Add an administrative title field for all handlers to make it more possible to distinguish similar fields from each other in the UI.
    o #905712 by dagmar: Add Published/Not published as text options to published field.
    o #816354 by dereine: Provide a field to create administrative comments on displays.
    o #807942, #807982, #809936, #810010, #811294, #811266 by dereine: Backport quite a lot of handler tests.
    o #809970 by dereine: Backport area_text test.
    o #808044 by dereine: Backport field date test.
    o by dereine: Add a test for field math, and fix the field math :)
    o by dereine: Add a test for filter equality.
    o by dereine: Add a test for field counter.
    o #1007730 by bojanz, merlinofchaos, dereine: Add tests for views_handler_filter_string.
    o #759082 by dereine: Fix whitescreen due to incorrect relationship loop code.
    o #1011266 by sime: Fix whitescreen due to changes in #759082.
    o #1001542 by mikeytown2: view::set_display() has wrong return code when it fails.
    o #996486 by geoffreyr: Improperly written SQL could crash when rewritten by tac_lite.
    o #953718 by linclark: Register the special "broken" handlers for use with fields without handlers.
    o #722330 by dereine: Views should include core version for updates.
    o #978874 by StanAngeloff: Use empty() on distinct setting to ensure no notices.
    o #1013170 by das-peter: Fix broken view::preview which was broken on #1001542.
    o #644008 by Cyberwolf and dereine: Allow access plugins access to arguments.
    o #635990 by voxpelli and dereine: Get caching system to better respect db_rewrite_sql
    o #970514 by moshe, dereine: Provide basic drush integration for views.
    o #1011004 by dereine: Add validation for query plugin option forms.
    o #991202 by helmo: Add option to turn linebreaks into br tags in field rewriting.
    o #1000760 by dereine: Prevent htmlspecialchars() error with string arguments.
    o #452384 by sammys: Another PHP 5.3 fix.
    o #975400 by bojanz: Improvements to field handlers getting and sanitizing values.
    o #696550: Taxonomy validator should always set title when it successfully validates.
    o #1001302 by dagmar: Enable attachment displays to have more links.
    o #869172 by bendiy: Add an "external" parameter to field link rewriting so that external URLs can be formed properly even without a scheme.
    o #1021784 by tim.plunkett: Extra space added in some classes erroneously.
    o #839236: Fields named "buttons" would disappear from the rearrange UI due to conflict with the buttons on the form.
    o #1025696 by zengenuity: Bad data in user roles get_value().
    o #862072 by jhedstrom: Allow argument validator to test if user has edit or delete access to a node.
    o #935176 by benoit.borrel: Add "system" table to Views data.
    o #780768 by dereine: lack of clean URLs breaks some preview.
    o #1008358: Updated for translation plugin to work properly with i18nviews.
    o #962564 by joshuajabbour: Allow link attributes to be rewritten (internally).
    o #672864 by dboulet: cols- class incorrect on table, grid.
    o #981872 by infojunkie: Option to hide attachments in summary views.
    o #839810 by marcp: Get UID from URL argument default plugin should accept uids from Views pages.
    o #1012584 by dereine: Allow filtering on term descriptions.
    o #1035168 by Ao: Fix strict warning in unread node filter.
    o #1044916 by dagmar: Fix improper use of set_current_page member variable.
    o #988680 by mikeytown2: Fix Views memory leak with attachments.
    o #1012596 by dereine: More inline documentation of class variables.
    o #873872 by dagmar: Allow limiting of exposed operators as well as exposed filter values.
    o #1016814 by eaton: string argument should support name_field.
    o #1007376 by dereine: Jump menu was not correctly supporting offsets.
    o #1018160 by zhangtaihao: unpack_translatable could infinitely recurse when options are arrays but not declared as such.
    o #1019826 by penguin25: Respect contact page access overrides when displaying contact link.
    o #776830: Attachments and other displays lost "Items to display" controls.
    o #534452 by dereine: Remove non-functional "optional" setting on string filters.
    o #747782 by dereine: Improve jump menu grouping.
    o #1026014 by dereine and alex_b: Use more always should not ask for the count query to see if we need to show the more link.
    o #1001304 by dereine: Fix init() declarations to not throw notices on PHP 5.3.
    o #1078738 by dereine: Add a serialized data field handler and set users.data to it.
    o #1080690 by dereine: Store the view object in the query object, so it can be used.
    o #1062506 by dereine: Misnamed parameter for creation of broken handlers.
    o #975400 follow up by bojanz: Give field::sanitize_value more power and fix some issues with get_value.
    o #1090682 by dereine: Write a simpletest for the reset parameter of view::load.
    o #1054272 by dagmar: String filters are non optional anymore.
    o #1079178 by Manuel Garcia: Provide a views revert drush command.
    o #1096548 by dww: Fix convert of taxonomy fields.
    o #1096292 by bojanz: Provide better default for exposed_sorts_label.
    o #1096834 by dww: Allow importing views code that starts with '<?php'.
    o by dereine: Move get_value and sanitize_value into views_handler to support it for area handlers.
    o #1096366 by jamsilver: Role access plugin: Replacing array_unshift() with reset().
    o #1100052 by michielnugter: Fix strict warning of views_handler_argument::get_value.
    o #1100776 by bojanz: Fix call for get_value in field_user_language handler.

Views 6.x-3.0-alpha3
    o #705668 by dereine: Fix glossary view, add tests for glossary view.
    o #699426 by dereine: Tests pluggable pagers.
    o #679714 by dereine: test: groupby sum. avg, min, max.
    o #706464 by dereine: Test full(normal) pager plugin.
    o by dereine: Test pluggable access.
    o by dereine: Test pluggable default argument.
    o by dereine: Test exposed forms ui.
    o #681726 by drewish: Allow term edit link field.
    o Test argument validation plugins.
    o #422434 by BWPanda: Correct (NULL) to (NOT NULL) in varios operator descriptions for empty/not empty.
    o #685622 by dereine: Field to provide link to a node revision.
    o #692428 by Roi Danton: Documentation typo fix.
    o #484600 by dereine: Ability to disable the automatic live preview.
    o #694094 by yhahn: Allow default views cache to be reset.
    o #654738 by Scott Reynolds: Offset date filter missing current time.
    o #716236 by jmiccolis: Allow default menu tabs to also have menu entries.
    o #713210 by dereine: Node language settings could persist for subsequent rows if they should not have had a language.
    o #674772 by joachim: Unable to distinguish profile.module fields with same name in different profile categories.
    o #704490 by domidc: Remove invalid short tags from template.
    o #727798 by SteveReher: Fix typo in overrides.html documentation.
    o #621980 by yhahn: Namespace tabs.js to guarantee no conflicts with jQuery UI.
    o #684656 by yhahn: Prevent Views from performing an unneeded variable_set() during block list.
    o #721358 by dereine: Unable to select "Limit list to selected items." With tests.
    o #737120 by james.williams: Fix help text for date offsets which gave incorrect information.
    o #737118 by DeFr: Allow API calls to delete to not clear the views cache to facilitate batch operations.
    o #673852 by yhahn: Allow access plugins to choose whether or not "access all views" should be used.
    o #550132 by tha_sun: Allow plugins to better control the callbacks used for page type displays.
    o #546586 by jeffschuler: String 0 values were being treated as empty therefore not displayed as fields.
    o #651274 by dagmar: Show relationship labels in field lists for style config forms.
    o #531686 by jweowu: Update process failed to properly track its history, causing errors when updating from really old sites.
    o #548292 by mikeker: Create a "Node: path" field that can be used to display the aliased path to a node.
    o #738608 by dagmar: Footer cannot be overridden.
    o #638004 by stBorchert and BillyMG: If a field "Output as link" ends up with an empty path, do not actually print an empty link.
    o #657384 by smoothify: Under rare circumstances, date default argument could get wrong value.
    o #658842 by tomgf: Provide a proper ellipsis instead of "...".
    o #662654 by dereine: Do not use query to load/validate a user if the user happens to be the logged in user.
    o #666912 by dereine: Prevent imports of views created by newer, incompatible versions of Views.
    o #672864 by dereine: Add a column count class to the table style for themers to more easily do generic targeting.
    o #552498 by dereine: User email as an argument.
    o #515324 by dereine: Make API documentation easier to find.
    o #640862 by dereine: Properly clear feed icon when cloning a view to prevent duplicate feed icons in attachments.
    o #672044 by moshebeeri: Right-To-Left for views.css.
    o #488314 by yhahn: Allow relationship to fetch nodes from terms.
    o #677936 by mr.baileys: "views-row-last" class accidentally omitted on grids with just one row.
    o #685938 by dereine: Sync preview widget to current tab to reduce WTFs when previewing the wrong display.
    o #673184 by markus petrux: Default views not always properly loaded by language.
    o #433948 by dereine: "numeric" => FALSE not properly supported in handler definitions.
    o #708618 by thsutton: Friendlier message when a handler is missing.
    o #739448 by brunodbo: Allow "Jump Menu" to set the "Choose" text in style options.
    o #701588 by dereine: Delete button should say Revert on Overridden views.
    o #704958 by davisbc1982: Fix working in pager exposed form.
    o #508124 by dereine: "accept_null" should have been "accept null" in boolean filter definitions.
    o #513396 by yhager: Attempt multi-byte safety for "trim at word boundary" setting.
    o #418230 by Scott Reynolds: Views adds wrong nid with "Node: Has new content".
    o #558602 by dboulet and Crashtest_: Summary views should provide "active" class on links properly.
    o #496634 by dereine: Fix long-standing issue of "0" not being a valid argument for multiple integer CCK types.
    o #521954 by Agileware: Allow taxonomy breadcrumbs to link to actual taxonomy page instead of back to view.
    o #720012 by dereine: Exposed offset was accidentally using items per page text and field.
    o #528838 by zzolo: If exposed form is in a block, and the form does not validate, ensure the form does not render twice.
    o #727304 by mariusz.slonina: User edit link was disallowing users from editing themselves.
    o #730454 by stella: Add "translate" link along with view/edit/delete links on nodes.
    o #474174 by dereine: Analyze will now warn about "node/%" not being a valid path for Views.
    o #711968 by dereine: Taxonomy selections could disappear on upgrade.
    o #733142 by dereine: Link path field restricts input to too few characters for long links.
    o #619642 by dereine: Allow argument for user language.
    o #721168 by infojunkie: Guard against uninstantiated pagers.
    o #675154 by dereine and Crashtest_: Improvements to rendering trim text and tag stripping.
    o #675264 by peck66: Freeform profile list field did not output properly.
    o #663372 by dan.nsk: Allow tokens to work in the "target" field during link rewriting.
    o #720874 by dereine: Fix division by zero error in full pager when "items per page" is set to 0.
    o #698270 by dereine, dagmar: Fix pager legacy functions view::set_items_per_page() and view::set_offset().
    o #730810 by alex_b: Add fields for authmap table.
    o #747418 by dereine: Fix taxonomy term ID bug introduced in #496634.
    o #666920 by dereine: Include actual API version in exports.
    o #689446 by dereine: Allow use of l() in link rewriting to not check for aliases.
    o #684608 by dereine: Default argument to acquire a taxonomy tid from the URL or a node in the URL.
    o #319991 by dereine: Add a search widget for "Enabled" and "Disabled" in view admin.
    o #466250 by alex_b and dereine: Enlarge views_display field to prevent heavy displays from losing data.
    o #496840 by dereine: Allow boolean filters to define additional output formats and provide an additional for Node: Sticky.
    o #689260 by dereine: Allow "Node type" field to output the machine name as well as the human readable name.
    o #689780 by deviantintegral: AJAX scrolling could go to wrong place.
    o #740686 by jacine: Introduce $classes array in views-view.tpl.php.
    o #582348 by dagmar: Allow UI setting a CSS class for views-view.tpl.php
    o #682030 by killes: Add term relation table integration.
    o #697794 by dagmar: Fix notice issue when convering from 2.x area handlers.
    o #339758 by dereine: Better handling for display of set options in multiple choice filters.
    o #330160 by aditya_kristanto: Improve text to make it easier to find where to edit the view description.
    o #765022: SA-CONTRIB-2010-036: Fix XSS and PHP vulnerabilities.
    o #832954 by dww: Fixed bug that was modifying global user->roles inside argument_validate_user.

Views 6.x-3.0-alpha2
    o #396380 by merlinofchaos, dereine and dagmar: Initial support for GROUP BY queries!!!!!!!!!!!!
    o #535868 by dagmar: Exposed forms as plugins, helping to isolate exposed form code and increase the ability for modules to change the behavior of exposed forms.
    o #630194 by dereine: Convert access and cache plugins to use the newer option_definition() method of storing options.
    o #633482 by dagmar: pre_execute() method needs to be called on exposed forms.
    o #535206: Attachment displays repeat exposed filters because exposed filters were left hanging around during cloning.
    o #550560 by donquixote: Fix unterminated string in views.help.ini that breaks under php 5.3
    o #450346 by lefnire: Inherit Exposed Filters sometimes hides part of the parent exposed filters
    o #592476 by Garrett Albright: Remove redundant CSS from views-list.css
    o #366250 by Markus Petrux: Fix glitches with tabledrag and jQuery 1.3.
    o #581616 by cangeceiro: Defend text color from themes in Views UI.
    o #589484 by Markus Petrux: External styles could not properly provide advanced help files.
    o #494490 by Niels Hackius: User picture incorrectly set as an inline element when it should be block.
    o #616956 by neochief: Exposed form labels should have "for" keyword.
    o #620046 by cedric: Date validate handler does not fallback properly causing sporadic improper validation.
    o #515564: Views UI would fail to rearrange with > 25 fields.
    o #452384: Fix PHP 5.3 compatibility.
    o #579308: group by argument handler was misnamed and did not work at all.
    o #503452: Retool exports to properly use option definition, improving translatability and information use.
    o #626422 by vgarvardt: Static caching of validated taxonomy terms to improve taxonomy_term performance.
    o #622608: Allow attachments to inherit pager data.
    o #495606 by Roi Danton and dereine: Introduce views_get_view_result() as a fast way to get just the results of a view.
    o #619884: Fix incorrect grouping for styles other than table.
    o #539498: "Comments: Node link" did not work at all. Replaced with "Node: Add comment link" which is what that was supposed to do.
    o #638916 by dereine: views.help.ini strings need quoting to continue to work in PHP 5.3
    o #636988 by Steve McKenzie: Wrong ajax data could be sent in rare circumstances when using AJAX paging.
    o #576386 by jmorahan: Fix book sort help text to be more accurate by not telling you to do something that will not work.
    o #348130 by dereine: "<Any>" should not be translatable since it looks like HTML.
    o #630430 by cafuego: Fix typo in argument text.
    o #635966 by dagmar: Allow the exposed form plugin to actually control the exposed form.
    o #370651: Make Views AJAX work with mod_security enabled.
    o #614040 by dereine: Introduce hook_views_plugins_alter()
    o #586668: Pagers turned into plugins to allow all kinds of new fun stuff with paging.
    o #650152: Book: Top Level Book relationship broken by earlier patch and caused broken query.
    o #639430 by dagmar: theme.inc warning when comments are displayed without links.
    o #639094 by dagmar: Exposed forms not working with blocks after exposed plugins.
    o #645146 by dagmar: Some exposed form information not being stored after the plugin retooling.
    o #645150 by dagmar: Incorrect call to deprecated get_exposed_form_plugin() function fixed.
    o #631522 by kbahey: Enable devel timing information for all views, not just page views.
    o #324873 by dagmar: Show all paths when listing views, not just the first path.
    o #99370 by dagmar: Allow a "reset" button as part of the exposed filters.
    o #619812 by chx: Break up the query() method on the query plugin to have field compilation be separate.
    o #338584 by superbaloo: Allow displays to be re-ordered in the UI.
    o #651244 by dagmar: Other instances of <Any> are not translatable and should not be run through t().
    o #653628: init declaration for views_handler_filter_many_to_one() did not match parent init.
    o #657700: Fixed 'Override normal sorting if click sorting is used' setting on the table style plugin that was broken by #622602.
    o #652812 by dagmar: Fix notices in the query object.
    o #658838 by dereine: Add a few simple simpletests.
    o #664410 by dereine: Tests for the new group by function.
    o #473698 by jrglasgow: Fix error in help text regarding custom theming.
    o #387448 by joachim: Provide better help text to describe how to use sticky sort.
    o #652716 by dagmar: "no single" flag on filter objects not completely respected, causing improper default filters.
    o #648438 by dww: In rare circumstances, unnecessary term_node tables could be joined in when adding term_data relationships.
    o #228510 by dagmar, KarenS and others: Exposed sorts!!!
    o #621780 by PaulMagrath: Even/Odd classes wrong with grouping due to row numbering no longer being sequential.
    o #660140 by dagmar: Add a raw user name filter so that we can do more filtering purely on the user name.
    o #383994 by bendiy: Allow column align setting on tables.
    o #652712 by dagmar: Some pager settings were not getting properly stored with pluggable pagers.
    o #664382 by dagmar: "Exclude" option on fields not properly stored.
    o #664492 by dagmar: "Group by" settings not properly stored due to typo.
    o #664518 by dagmar: "Group by" settings on items not properly retained during editing process.
    o #642328 by dboulet: Always include views.css since a site using Views probably uses it in blocks anyway.
    o #268023 by dagmar and dereine: Allow a number of pages limit in paging.
    o #557372 by brush: Allow sorting by taxonomy term views by vocabulary ID and vocabulary name.
    o #570558 by yhahn: Segment default views caching to conserve memory used by Views during normal operation.
    o #373615 by dereine and lonelyrobot: Allow full set of date arguments for comment timestamp.
    o #623392 by dww: Allow the use of synonyms in summaries for taxonomy arguments.
    o #629840 by fuerst: Search filter caused bad query on PostgreSQL.
    o #593668 by neochief: Allow changing of the display ID.
    o #600242 by pcambra: Allow "search" filter as an argument.
    o #387748 by recrit: Allow summaries to be ordered by number of records.
    o #608246 by dereine: Use default filter on signature rather than XSS filter.
    o #329390: views_break_phrase could break under PHP4 due to reference error.
    o #629984 by dagmar: Ensure that row styles are relationship safe and add fields they need to the query, such as nids and cids.
    o #669448: items per page override from summary style stopped working with pluggable pagers.
    o #652742: Replacement pattern tokens for multiple fields did not work.
    o #659510 by Souvent22 and dereine: glossary AJAX broken.
    o #666720 by dagmar: Fix GROUP BY when only filters are present.
    o #335599 by miro_dietiker: Remove the 95% width constraint on the admin hover links to be nicer to themes.
    o #670308 by Mike Wacker: Make views_get_view() properly set disabled flag when retrieving default views.
    o #670874 by dereine: Argument validator settings were not getting saved.
    o #536910 by dereine: Theme and language should be taken into account during caching.
    o #627402 by dereine: Aggregator description needed more controllable input filtering.
    o #652684 by dereine: Search and replace error resulted in invalid function name in nid argument validator.
    o #416264 by bec: Dependency processing could cause exposed forms to disappear if used multiple times on the same page.
    o #657442 by nicholasThompson and dagmar: Include "mail" field in user picture so that modules that need this do not break when rendering picture in Views.
    o #329044 by gordon: Check to see if access plugin exists before using to prevent whitescreens.
    o #455364 by sdrycroft: Prevent modules trying to define the same default view name from breaking everything.
    o #661676 by dagmar: Improve error handling during AJAX failures.
    o #324092 by dagmar: Expose "Items per page" and "Offset".
    o #660196 by dagmar: Allow changing the "Reset" button label in the exposed form settings.
    o #653628 by dagmar and dereine: Ensure child method declarations match parent method declarations to prevent notices.
    o #510284 by dagmar: Convert header/footer/empty text to pluggable areas and make them handlers so they can benefit from the settings + rearrange system.
    o #118672: Allow an OR in filters by adding groups in the filter UI.
    o #646236 by dagmar: User validate plugin did not properly save values.
    o #693882 by dereine: Fix SQL error when no filters.
    o #662174: handlers with an 'extra form' or other option data that was not in the main form could lose that data.
    o #571548 by dagmar: Prevent aliases longer than 63 characters which pgsql cannot handle.
    o #694980 by dereine: New views should default to limiting to 10 items, to copy previous behavior.
    o by dereine: Fix exceptions for pluggable argument validation tests.

Views 6.x-3.0-alpha1
  Bugs fixed
    o #419226 by kelvincool: Respect admin theme during views ajax operations.
    o #419270 by voxpelli: set_where_group() could fail if no previous groups.
    o #422054 by yhahn: Protect exports from impropertly indenting multiline strings.
    o #437070 by mikeryan: Base table formerly limited to 32 characters.
    o #317271 by quicksketch: ensure_my_table() limited to one relationship per table.
    o #445398 by casey: reduce_value_options() using wrong value array.
    o #451370 by skwashd: base.js had some DOS line endings.
    o #454754 by dww: Fix PGSQL related errors with comment author filtering.
    o #384286 by dww: Make it possible to expose the filter for "Node: Has new content"
    o #463634 by alienbrain: "Empty field name" incorrectly specified.
    o #463580 by ximo: AJAX summary links broken in some displays.
    o #469456 by dereine: Automatically give .info file during views bulk export.
    o #422868 by mattman: Breadcrumbs not properly substuting % replacements.
    o #440676 by dereine and Razorraser: View import form crashed on empty view input.
    o #461842 by dereine: Use gmtime() instead of format_date() to prevent localization of dates in RSS feeds.
    o #316556 by darrenoh and JirkaRybka: More 1.x upgrade fixes.
    o #382398 by elcuco: Force LTR in the views admin.
    o #461144: Fix trimming to correctly remove tags when they are trimmed in half.
    o #330956: Theme: Information only scanned information from the default theme.
    o SA-CONTRIB-2009-037: Filter checkboxes could be displayed unfiltered allowing XSS attacks.
    o Table style when not overriding sorts put sorts in wrong order.
    o #488908 by sl27257: "Node: Has new content" only worked when exposed.
    o #451110 by wonder95: Fixed missing word in transform case help text.
    o #385904 by JirkaRybka: Prevent duplication of id edit-submit on views exposed form.
    o #489888 by TheRec: Remove erroneous "alt" attribute from <a> when using link rewriting.
    o #499078 by Darren Oh: Make sure theme is initialized for pre_render hook.
    o #490516 by v_20q: Some fields not properly being marked as translatable due to option unpacking bug.
    o #484222 by dereine: Attachment displays were ignoring access settings.
    o #466454 by neclimdul: PHP strict fixes.
    o #501552 by neclimdul: Work around a core bug with DISTINCT on nodes.
    o #503098 by Davide Goode: Feed displays should have link displays since they link to a page display.
    o #381346 by ayalon: Allow Taxonomy: Tid as a field, which is now needed for rewrites which may need tids.
    o #485296 by overall and deekayen: Remove unnecessary t() call.
    o #460838 by Darren Oh: Make DISTINCT more distinct.
    o #503774 by dereine: Cache time failed to return the proper cutoff time.
    o #506098: Table sorting with no default was overriding sorts even tho it was not supposed to.
    o #407538: Ensure views_break_phrase() will stop providing warnings on empty strings.
    o #420850 by dereine: Commas should not be used to separate items in a profile list field.
    o #482162 by agentrickard: link path needed further sanitization to properly encode special characters.
    o Tables would not accept 0 as having data so columns with zeroes would lose data when merging with other columns.
    o #529164: Fatal typo in profile list field.
    o #537870 by dww: Fixed a bug in the [uplodate_fid-size] token where format_size() was called on it twice.
    o #546586 by dww: Fixed bugs that prevented '0' being a valid rewrite text or empty text for a view field. Also fixes a logic bug regarding the handling of the 'Count the number 0 as empty' setting.
    o #507884 by TheRec: Removed matching title (alt) attribute on node links.
    o #468370 by emackn: Proper timezone support on postgres.
    o #508124 by voxpelli: Optionally allow boolean to treat NULL as FALSE.
    o #487528 by dereine: Fix typo in 'Maximum length' field instructions.
    o #538530 by elcuco: Views export textareas should be LTR.
    o #538204 by dereine: User picture should be sortable.
    o #512650 by sdboyer: Multiple many to one arguments on the same relationship were not relationship safe.
    o #544098 by joachim: Fix validation quirks with defaulted handlers.
    o #485872 by dereine: Make sure views.css is always loaded for all users.
    o #442982 by killes: Make destroy() method more robust so that views are more readily reused.
    o #520558 by bdurbin: node access filter not properly checking 'view'.
    o #535424 by Hugo Wetterberg: Download file link could provide empty a tag if no file is available.
    o #554000 by killes: Preview checking wrong flag for preview state causes feeds to display incorrectly when embedded.
    o #554016 by webchick: views_embed_view() should check view access.
    o #523222 by gpk: Contact link should not be allowed for the anonymous user.
    o #563540 by dereine: Fix description of cache plugin settings.
    o #564536 by dereine: Node links should allow language setting from node data.
    o #551752 by dereine: Clean up row counter code.
    o #451208 by dereine and superbaloo: Fix grid style to not leave missing tds in bottom row.
    o #561892 by dereine: Unchecking "rewrite this field" but leaving a value caused field to be rewritten anyway.
    o #408894 by dereine: Views AJAX incorrectly used "access content" permission.
    o #574150 by dereine: Remove user search because user.module does not store user keywords.
    o #619884: Grouping fields ignored indexes (as a result of #502348) and appeared to group incorrectly.
    o #411566: Fix warning when 0 given as a taxonomy tid to the validator.
    o #622602: Missing ORDER BY in some views with tables due to incorrect test for default table sorting.
    o #623498 by marcp: total_rows should be filled in if fetching all records.

  New Features and Other Changes:
    o #293841: Allow different back ends for Views to facilite things like flickr api, solr, rdf, etc.
    o #458140: Allow any handler to expose widgets.
    o #325607 by bangpound: Automatically sort exports from bulk export.
    o #298616: Add argument for node updated time similar to node created time.
    o #323049 by yched: Allow Empty/Not Empty on select many to one.
    o #340701 by swentel: Restore allowing Views to set block caching mode.
    o #347892 by dww: Allow <any> option in Boolean filters.
    o #358314 by brmassa: Catch the exposed filter form so it doesn't process twice on a single view.
    o #154865 by Zack Rosen, josh_k and KarenS: Allow user contact form as a field.
    o #411880 by fgm: Add "options callback" to items using in_operator handler.
    o #360657 by yhahn: new hook_views_default_views_alter().
    o #430068 by dereine: New global counter field for displaying row number.
    o #420340 by derine: Translate node type filter.
    o #325796 by yang_yi_cn: Translate node type argument.
    o #441520 by jonathan1055: Allow the "time ago" date format to work on future dates as well.
    o #446726 by yhahn: Improved performance for js dependencies.
    o #437760 by leeneman: Remove duplicate terms from taxonomy term argument title.
    o #354270 by dereine: Allow "tag" to be added to the theme template suggestions.
    o #408180 by joachim: Allow taxonomy term parent argument.
    o #424460 by thePanz: Customizable breadcrumb title for arguments.
    o #436398 by Pasqualle: Support for aggregator category table.
    o #424648 by quicksketch and dereine: Allow format selection on filesize field.
    o #468336 by psynaptic: Fix broken hook_views_admin_links_alter.
    o #478312 by yhahn: Provide specific node access filter.
    o #479878 by dereine: User language field.
    o #468824 by eaton: Pluggable caching mechanism which can cache both the query result and rendered result.
    o #399534 by clemens.tolboom and drewish: Add fragment and query string as options when making fields into links.
    o #315915 by dixon_: Add another base row class to rows.
    o #271833 by grugnog, agentrickard and others: Taxonomy depth in filter.
    o #353403 by agentrickard: Field to provide "more" text.
    o #377896 by dereine: When ticked "link to node" show node title as a href title attribute.
    o #386098 by dereine: Add "watchdog" as a debug logging options.
    o #409428 by gpk: Missing field: node input format.
    o Implement a post_render hook (for themes too) and cache method.
    o #501552 by neclimdul: Work around a core bug with DISTINCT on nodes.
    o #406652 by George2: Add string length operators to most string filters.
    o #313418 by alex_b: Allow explicit node::user relationship and user::node relationship.
    o #430068 by overall and aclight: Improvements to the global "counter" field.
    o #492002 by iterato: Allow "target" specification in field linking.
    o #472194: !1 can now be used with field rewriting to get the raw argument.
    o #480162: Fields row style now contains option to hide empty fields.
    o #433318: Special handling for empty fields, allowing them to avoid rewriting and not be displayed.
    o #354457 by ausvalue: Example integrating node_example.module with Views API.
    o #479728 by enboig: Allow "Does not start with" and "Does not end with" as string operators.
    o #511468 by dereine: State which view was saved after saving a view.
    o #520632 by DamZ: Add comment hostname and mail to available comment fields.
    o #303800 by Justin W Freeman: Improve dashes to spaces transformation.
    o #523580 by JirkaRybka: More documentation on Reduce Duplicates option.
    o #510920 by apanag: Add set_current_page() method to view class.
    o #337741 by joachim: Allow profile fields to have "link to user" option.
    o #534680 by dagmar: Visual indicator if checkbox will expand options.
    o #540122 by stella: Attachment displays should attach even if arguments caused the primary display to abort.
    o #536994 by dboulet: Store result in variables for use in unformatted style.
    o #458194 by voxpelli: Add first and last row classes to table style.
    o #511908 by dww: Too many check plains in selects because of problems with checkboxes.
    o #254895: Add form to clean up Views 1 tables.
    o #502348: Move advanced rendering up the chain a little bit to allow for non-standard uses of fields, such as grouping, to use advanced rendering features.
    o #580320 by chaps2: Allow "always use more link" setting.
    o #580320 by chaps2: Allow "always use more link" setting.
    o #363516 by dagmar: Validate the uniqueness of exposed filter identifiers.
    o #584880 by drewish: Wrong base field declarations fixed.
    o #480162 by dereine: Count whitespace fields as empty for hiding labels.

Views 2.5
  Bugs fixed:
    o #363817 by thePanz: Empty fields in table could still trigger separators.
    o #388952 by nikita@protsenko.com: Ensure taxonomy term validator sets the validated title when available.
    o #392176: Trim on word boundary would stop at newlines.
    o #415706 by dww: Fix broken relationship in search that caused SQL error.
    o #428742 by fralenuvol: Fix broken relationship causing sql error with multiple taxonomy term arguments.
    o #428102 with help from deviantintegral: Broken option_definition() causes warnings.

  Other changes:
    o #379382 by neochief: Add option to strip tags during advanced rendering.
    o #400914 by joachim: Add a link field to get to comments for a node that works just like the normal links.
    o #402650 by drewish: Bulk export views alphabetically by view name.
    o #349157 by yched: Support CCK build modes in node style.

Views 2.4
  Bugs fixed:
    o #371466 by dereine: Fix incorrect link to comments.
    o #371923 by noahb: Summaries could be distinct even when they should not be.
    o #368764: Fix User ID validator to actually have proper dependencies.
    o #375342 by dww: node_comment_statistics should be INNER joined because there is always 1:1 reference.
    o #372959: Archive view should not use AJAX by default.
    o #373155: Not clearing "many to one" data breaks some attachment displays.
    o #375000 by elcuco: View name should always be LTR.
    o #378534 by dww: Validators do not fire if argument === 0 due to PHP loose type conversions.
    o #378164 by yched: Unexposed taxonomy filter could accidentally stop working.
    o #371923 by David_Rothstein: Another DISTINCT fix related to summaries.
    o #365831 by tomiyana: Fix typos in help.
    o #357368 by Pasquale: schema descriptions should not be translated.
    o #379602 by dww: Add a second "time ago" variant to dates to allow NOT printing the word "ago".
    o #379354 by neochief: Add an extra regex to remove mangled HTML entities in output rewriting.
    o #362830: Search was mostly broken, especially score but also searching on multiple terms.
    o #350376 by pfournier: Missing "return" statement caused certain argument date validation to fail.
    o #364082 by hass: Unique key missing on views_view table.
    o #366250 by sirkitree: Fix deprecated jquery selectors so we can work with jquery 1.2.6 as well as 1.3.2.
    o #386986: 2 or more relationships could block a normal table from being added.
    o #371219 by aclight: Incorrect logic in views_many_to_one_helper::ensure_my_table()
    o #376570 by yhahn: Better AJAX scrolling.
    o #412576 by yhahn: Restore missing views_handler_filter_float class.
    o #378710: Add strip_tags() to path when displaying a field as a link as a path can never have HTML in it.
    o #380560: UI could suddenly cause errors with get_handlers() in certain situations with relationships.
    o #342215: Occasional "holes" could appear in taxonomy term field causing query errors when relationship is used but not present.
    o #414074 by dereine: Prevent fields becoming not editable by having just spaces in them in the Views UI.
    o #378724: Displaying uploaded files as a link accidentally made the entire field a link rather than each one.
    o #415672 by yhahn: Views inadvertently rounds negative numbers down instead of up when truncating.
    o #408414 by rb7: Prevent empty links with the "has new comments" field.
    o #406680 by Büke Beyond: Missing clear-block caused problems in IE for Views UI.
    o #373771 by dropcube: Fix missing aggregator feed trying to use non-existing handlers.
    o #341960 by sun: Clean up dependent.js javascript declarations which potentially caused .js errors.
    o #372227: On Debian etch, tables would lose fields due to PHP bug.

  Other changes:
    o #375182 by vaish: Allow a reset parameter to views_get_all_views().
    o #356276 by nedjo: Locale support.
    o #316556 by Darren Oh: Better Views 1.x upgrades.
    o #383242 by dww: Allow - Any - instead of <Any> as an option in the Views tools menu.
    o #303800 by KarenS: Additional dashes to spaces option in taxonomy argument validator.
    o #327366 by yched: Allow row styles to follow relationships too.
    o #405130 by dereine: Make the output field rewrite a textfield rather than textarea.

Views 2.3
  Bugs fixed:
    o #349739: Fix arguments not getting transmitted to attachment displays properly.
    o #354707: Display attachment happened too early preventing default arguments from passing to the attachment.
    o #277321 by nedjo: Use AJAX properly supports summaries in attachments.
    o #291292 by sammys (reroll by jaydub): Proper use of DISTINCT on summary views on pgsql.
    o #291079 by sammys (reroll by jaydub): Fix use of GROUP BY on pgsql.
    o #295246 by webchick: Wrong table type on views object cache caused truncation of cached data and mysterious errors on large views.
    o #315007 by Garrett Albright, Paul Kishimoto and catch: Take into account page count when using comment new link.
    o #317562 by ingaro: Wrong date format for PGSQL.
    o #327604 by mr.baileys: Fix improper use of multibyte library when mb library unavailable.
    o #335926 by sapark and drewish: "January, 2009" should be "January 2009".
    o #341263 by cdale: Prevent exposed filter forms from processing during batch operations.
    o #342322 by drewish: Correct label for translation status.
    o #343223 by alienbrain: Ensure path before join.
    o #343284 by andypost: Fix odd/even reversed in table style compared to Drupal core.
    o #345545 by mfb: Correct occasional Drupal.settings related javascript error.
    o #345546: Fix Node: Created day argument off by 1 error.
    o #345707 by aries: Do not display breadcrumb link if no link text.
    o #355939 by yhager: Fix missing comment GUID in comment RSS style.
    o #321332 with help from brahms: views_handler_field_markup only worked if format was named "format".
    o #348322 by Darren Oh: Fix missing /code in api plugins help.
    o #353090 by eaton: RSS feeds were not using all of the Drupal hooks to ensure full compatibility with core feeds.
    o #293832 by drewish: Allow menu items to have administrative description.
    o #345528: Mini-pager generated invalid HTML with empty li tags.
    o #351745: Exposed taxonomy term autocomplete filter failed if term existed in multiple vocabularies.
    o #353002: tracker view had wrong argument and was not picking up comments by the selected user.
    o Case sensitivity on string filter checkmark was backward.
    o #355919: views_theme() needed to include plugin theme files to detect functions.
    o #353515: Many characters could get incorrectly translated in exposed filters combined with ajax tablesorting.
    o #359818: Delete button should say Revert when reverting a view to default.
    o #359132 by grugnog: CSS files should be marked conditional so they don't impact the CSS cache.
    o #360637: Extra slash in theme includes could cause some systems to fail.
    o #363081: Disabled views could still provide blocks.
    o #366666 by Deadmonk also yched: File size field should not try to print a size on NULL values.
    o #367203: Improper caching of default views caused incomplete handlers that could WSOD.
    o #365283: views_handler_filter_ncs_last_updated improperly registered causing fatal errors trying to use it.
    o #365712: select list exposed filters were trying to limit to list when selecting "All" even when "limit" was not selected.
    o #357196 by Grugnog: hook_views_pre_view not getting $display_id sent properly.
    o #607952 by markus_petrux: Need check plain on "additional" queries.
    o #593910: Off by 1 error on Views row counter.

  Other changes:
    o #288801 by drewish and eaton: Aggregator item support! Make views of feeds!
    o #335647 by markus_petrux: Add memory and a reset button to the Views list page.
    o #343047 by alienbrain: Allow all handlers to participate in view validation.
    o #339223 by greggles: Allow taxonomy term tid to be sortable.
    o #324378 by eigentor: CSS improvements to the view list page.
    o #354736 by Shai: Clarification on exposed filter text.
    o #364637 by moshe and dww: Allow preprocessors to add row classes to table style.
    o #349178 by agentrickard: Add generic link handling plus a custom text field. Also automatic trimming.
    o #368234 by dww and neclimdul: Allow the "Anonymous" user to have a different (or no) name in User: name field.
    o #368754 by dww: User ID validator, with role testing.
    o #369505 by dww: Add helper function to get the value of a view argument.
    o #353002 by neclimdul: Provide a filter for user posted or commented on to complement the argument with the same functionality.

  2.3 API Notes:
    A minor change in the API now requires that styles that render fields MUST
    render them in order, first by row and then by field ID. Not doing so will
    cause the token expansion to fail.

Views 2.2
  Bugs fixed:
   o #305756: Number formatting caused illogical rounding.
   o #324272 by neochief: hook_pre_render never called.
   o #324058: Broken queries created by string values in multiple fields.
   o #324726: "tag" fields should be autocomplete in View edit.
   o #324058 by yched: Make aliases safer for many to one tables.
   o #325765: Prevent key merge errors on query::add_where and query::add_having.
   o #324378: Minor usability improvements to the list page.
   o #326934: Need another check to make sure already added aliases do not get blown away.
   o #324513: If a relationship table was added more than 1 hop away from the base, SQL errors resulted.
   o #326129 by mindgame: Not between operator did not function.
   o #326198: != mistakenly typod as = (display only)
   o #326379: Provide a default title for the archive view.
   o #327151: Add filter for node_counter.timestamp.
   o #327113: Clean up error text when display will not validate.
   o #307287: (Panels related) view::preview() would override previously set arguments if no arguments were sent.
   o #321589: Comment template preprocessor misnamed so it would not fire.
   o #329746: Comment rendering in the node row style was not working.
   o #321109: view::destroy() needs to unset current_display or future init_displays won't work.
   o #325115: If the block description is not set, show the display title as well as the view name in block administration.
   o #327604 by henrrrik: should use multibyte string functions.
   o #328933 by cmyers: views_handler_filter_date fails to use exposed operator.
   o #332568 by Moonshine: Correct views performance timers.
   o #332679 by yched: render_link() does not check for empty data.
   o #333593: Incorrect reference to non-existent views_handler_join in help/api-tables.html.
   o #334337 by miro_dietiker: Documentation clarification for arguments, blocks and PHP Code plugins.
   o #336456 by dww: Date filter had trouble with NULL operators.
   o #336125 by nedjo: Missing filter for node translation.
   o #337360: Menu selection causes crash if menu module not active.
   o #339295 by katbailey: AJAX paging could fail with the same view in multiple tabs.
   o #339676 by nedjo: Source translation had wrong filter handler.
   o #340002 by hass: Allow the "Add display" button to wrap for translations whose phrase is longer.
   o #340033 by pancho: Clearer wording on some field help texts.
   o #340515: views_perm() was incorrectly views_ui_perm().
   o #330897: Invalid displays causing 'path' lookup to crash.
   o #339674 by nedjo: Translation code cleanup.
   o #341897: views_perm() mistakenly declared in views_ui.module.

 Other changes:
   o Reorganize the analysis code into analyze.inc to make it easier for people to find the code and use it externally.
   o #298884 by neclimdul: Requested missing filter to filter for whether a user has a picture or not.
   o #336531 by dww: Set boolean filter to not use a checkbox which is lesser UI.
   o #338632 by drewish: Remove use of format_rss_channel and use proper templating instead.
   o #326034 by yched: Allow short names in admin summaries via new "title short" definition.
   o #335613 by swentel: Add hook_views_api() setting to bulk export.
   o #339707 by nedjo: Add filter to show child translations.
   o #284768 by drewish: Proper templates for RSS feeds rather than format_rss_item().


Views 2.1
 Bugs fixed:
   o #322862: 1.0037 debug code left in.
   o #322908: README.txt update.
   o #323014 by yched: Typo in exposed filter text.
   o #323033: Using empty/is not empty in string/numeric filters caused notices.
   o #322874 by yched: Errors in summary for some filters.
   o #323282: Taxonomy term default choice handled incorrectly.
   o #323318: Exposed taxonomy term failed if not set force single.

Views 2.0
 o First 2.0 official release
